{ config, ... }:

{
	imports = [
		(builtins.fetchTarball {
			# Pick a commit from the branch you are interested in
			url = "https://gitlab.com/simple-nixos-mailserver/nixos-mailserver/-/archive/5675b122a947b40e551438df6a623efad19fd2e7/nixos-mailserver-5675b122a947b40e551438df6a623efad19fd2e7.tar.gz";
			# And set its hash
			sha256 = "1fwhb7a5v9c98nzhf3dyqf3a5ianqh7k50zizj8v5nmj3blxw4pi";
		})
	];

	mailserver = {
		enable = true;
		fqdn = "nixaalb.org";
		domains = [ "nixaalb.org" ];

		loginAccounts = {
		"emelie@nixaalb.org" = {
			hashedPasswordFile = config.secrets.files.mail_emelie_nixaalb_org.file;
		aliases = [ "admin@nixaalb.org" ];
		};
		"sebastian@nixaalb.org" = {
			hashedPasswordFile = config.secrets.files.mail_sebastian_nixaalb_org.file;
		};
		"noreply@anarkafem.dev" = {
			hashedPasswordFile = config.secrets.files.mail_noreply_anarkafem_dev.file;
		};
		};
		certificateScheme = 3;
	};
}
