{ config, ... }:

{

	services.restic.backups = {
		"mail" = {
			paths = [ "/var/vmail" ];
			repository = "sftp:restic@despondos.nao.sh:/etheria/backup/nixaalborg/capetillo/mail";
			initialize = true;
			pruneOpts = [ "--keep-daily 7" "--keep-weekly 5" "--keep-monthly 12" "--keep-yearly 75" ];
			timerConfig = { "OnCalendar" = "02:15"; };
			extraOptions = [ "sftp.command='ssh restic@despondos.nao.sh -i ${config.secrets.files.ssh_key.file} -s sftp'" ];
			passwordFile = builtins.toString config.secrets.files.restic_pass.file;
			user = "virtualMail";
		};
	};
}
